.form {
    @extend .row;

    &-field {
        @extend .col-12;
        font-family: $font-root;
        color: black;

        &--50 {
            @extend .col-md-6;
        }
    
        &--33 {
            @extend .col-lg-4;
            @extend .col-md-6;
        }
    
        &--25 {
            @extend .col-xl-3;
            @extend .col-md-6;
        }

        &:not(:last-child) {
            margin-bottom: 10px;
        }

        &--submit {
            margin-top: 5px;
            .button {
                text-align: left;
            }
        }

        &--checkbox {
                margin-top: 13px;
            & + .form-field--checkbox {
                margin-top: 0;
            }
        }

        .section--dark & {
            color: white;

            a {
                color: white;
            }
        }
    }

    input:not([type=checkbox]),
    select,
    textarea {
        padding: 15px 25px 14px;
        width: 100%;
        background-color: white;
        border: 1px solid rgba($color: #2F1F6C, $alpha: 0.1);
        border-radius: 4px;
        font-family: $font-root;
        font-size: 16px;
        font-weight: 500;
        line-height: (25/16);
        outline: none;

        &:hover {
            border: 1px solid rgba($color: #2F1F6C, $alpha: 0.2);
        }

        &:focus {
            border: 1px solid rgba($color: #2F1F6C, $alpha: 0.4);
        }

        &.input--error {
            border-color: red;
        }
    }

    textarea {
        width: 100%;
        height: 168px;
        max-height: 100%;
        min-width: 100%;
        max-width: 100%;
        resize: none;
    }

    &__disclaimer {
        @include rfonts (14, 14, 12, 12);
        margin-top: 5px;
        font-size: 14px;
        font-weight: 400;
        line-height: (20/14);
        

        a {
            text-decoration: underline;
            &:hover,
            &:focus {
                text-decoration: none;
            }
        }
    }
}

.checkbox {
    padding-left: 35px;
    display: block;
    font-size: 14px;
    font-weight: 400;
    line-height: (20/14);
    @include rfonts (14, 14, 12, 12);

    &-imitator {
        position: absolute;
        top: 0;
        left: 0;
        width: 19px;
        height: 19px;
        background-color: white;
        border: 1px solid rgba($color: #2F1F6C, $alpha: 0.1);
		transition: 0.3s;

        &:after {
			content: '';
			position: absolute;
			left: 50%;
			top: 45%;
			width: 6px;
			height: 9px;
			border: solid black;
			border-width: 0 2px 2px 0;
			transform: translate(-50%, -50%) rotate(45deg);
			opacity: 0;
        }

		input:checked + &:after {
			opacity: 1;
        }
        
        .checkbox:hover &,
        .checkbox:focus & {
			background-color: rgba($color: white, $alpha: 0.9);
            border: 1px solid rgba($color: #2F1F6C, $alpha: 0.2);
        }
        
        .checkbox input:focus + &,
        .checkbox input:focus:checked + &,
        .checkbox:hover input:checked + & {
			background-color: rgba($color: white, $alpha: 0.9);
            border: 1px solid rgba($color: #2F1F6C, $alpha: 0.2);
        }
        
        .checkbox:hover input + &,
        .checkbox:hover input:checked + & {
            border: 1px solid rgba($color: #2F1F6C, $alpha: 0.4);
        }
    }
}

.select {
    
    select {
        padding: 12px 20px;
        width: 100%;
        background-color: white;
        border: 1px solid $pink;
        border-radius: 4px;
        appearance: none;
        font-family: $font-root;
        font-size: 16px;
        line-height: (25/16);
        font-weight: 600;
        cursor: pointer;
    }
    &--arrow {
        &::after {
            position: absolute;
            content: "";
            top: 45%;
            right: 15px;
            border: 2px solid $pink;
            border-width: 0 2px 2px 0;
            width: 10px;
            height: 10px;
            transform: translateY(-50%) rotate(45deg);
        }
    }
}

.section-callback {

    .form-field--submit {
        .button {
            height: 56px;
            border-radius: 4px;
        }
    }

    .form-field--checkbox,
    .form-field--disclaimer {
        margin-top: 10px;
    }

    .form__disclaimer {
        margin: 0;
        text-align: right;
        @include sm {
            text-align: center;
        }
    }

    .form {
        margin-left: 0px;
        margin-right: 0px;
        display: block;
        margin-bottom: 22px;
        form {
            width: 100%;
            display: flex;
            @include md {
                flex-wrap: wrap;
            }
        }
        input {
            margin-right: 10px;
            @include md {
                margin-right: 0;
                margin: 10px;
            }
        }
        button {
            @extend .button, .button--pink, .button--dots;
        }
        
        br {
            display: none;
        }
    }
    &.section--light {
        input {
            border-color: white;
            border-radius: 0px;
        }
    }
}

.feedback-form {
    @extend .row;

    &__content {
        @extend .row;
        @include lg {
            margin: 0;
        }
    }

    .form-field {
        margin-bottom: 10px;
        @include md {
            margin-bottom: 5px;
        }
    }

    &__column {
        @extend .row;
        @extend .col-md-12;
        @extend .col-lg-12;
        @extend .col-xl-6;
        margin: -20px 0 0;
        padding-right: 0;
        @include lg {
            margin-top: -10px;
            padding: 0;
        }
        @include md {
            margin-top: -5px;
            padding: 0;
        }

        .form-field {
            margin-top: 20px;
            margin-bottom: 0;
            @include lg {
                margin-top: 10px;
            }
            @include md {
                margin-top: 5px;
            }
        }
    }

    &__textarea {
        @extend .col-md-12;
        @extend .col-lg-12;
        @extend .col-xl-6;
        padding-right: 30px;
        @include lg {
            padding-right: 15px;
        }
    }

    label:not(.checkbox) {
        font-family: $font-root;
        font-size: 16px;
        font-weight: 700;
        line-height: (25/16);
        display: block;
        > input,
        > textarea {
            margin-top: 3px;
        }
    }

    &__footer {
        @extend .row;
        margin: 3px 0 0;
        align-items: center;
        @include lg {
            margin: 0;
            align-items: flex-start;
        }

        .form-field {
            margin: 10px 0;
            @extend .col-md-6;
            @extend .col-lg-4;
            @extend .col-xl-3;
        }

        .form-field--checkbox {
            @extend .col-xl-4;
            margin: 10px 0;
            margin-right: auto;
            // .checkbox-imitator {
            //     top: 4px;
            //     @include lg {
            //         top: 0;
            //     }
            // }
            @include md {
                order: 2;
            }
        }

        .form-field--disclaimer {
            padding-right: 0;
            .form__disclaimer {
                margin: 0;
            }
            @include md {
                order: 3;
            }
        }

        .form-field--submit {
            @extend .col-md-12;
            @include md {
                order: 1;
            }
        }
    }
}

.input__error {
    position: absolute;
    white-space: nowrap;
    font-size: 12px;
    font-weight: 400;
    color: red;
    top: 4px;
    right: 0;

    .checkbox + & {
        position: relative;
        top: auto;
        right: auto;
        white-space: normal;
        display: block;
        padding-left: 35px;
        margin-top: 5px;
    }
}

.form__success {
    position: absolute;
    top: 0;
    left: 15px;
    right: 15px;
    height: 100%;
    background-color: white;
    border: 1px solid $pink;
    border-radius: 8px;
    &__content {
        top: 50%;
        transform: translateY(-50%);
        text-align: center;
    }
    svg {
        width: 60px;
        fill: $light-purple;
    }
    &__title {
        font-size: 24px;
        font-weight: 600;
        margin-top: 15px;
    }
    &__text {
        font-family: $font-root;
        margin-top: 5px;
    }
}